[network]

# interface name on which to talk/listen
ifname=eth0

# information rate (wire speed) for the link specified in kilobits/sec
# (fast ethernet = 100000, gigabit ethernet = 1000000)
link_kbit = 1000000

# Bandwidth reserved for non-SR traffic
# specified in kilobits/sec
nsr_kbit = 250000

[ptp]

# Endpoint will always start openavb_gptp on the interface specified by ifname (above)
# (unless gptp_asCapable_not_required = 1 is set - see warning below)
# Additional openavb_gptp command line options may be provided here, if desired
start_options = -u 60

[fqtss]

# FQTSS mode - how talker traffic will be shaped.
#
# Modes are:
# 0 = AVB_SHAPER_DISABLED  - Disable FQTSS (no shaping)
# 1 = AVB_SHAPER_DROP_ALL  - Drop all frames
# 2 = AVB_SHAPER_ALL_NONSR - Treat everything as non-SR traffic
# 3 = AVB_SHAPER_DROP_SR   - Drop all AVTP frames
# 4 = AVB_SHAPER_SW        - Credit-based shaping per-class (in software)
# 5 = AVB_SHAPER_HWQ_PER_CLASS - shaping in HW per AVB class
#
# By default on platforms which support HW shaping, the default mode
# will be AVB_SHAPER_HWQ_PER_CLASS, on other platforms the default
# mode is AVB_SHAPER_SW.
#mode = 4

[srp]

# To disable dynamic SRP operation in the case of manually preconfigured streams
# (e.g. in an AVB network using Broadcom Polar Switches) set:
preconfigured = 1
# CAUTION: All streams registered by talker or listener are assumed to be valid.
# WARNING: Preconfigured streams require COMPLETE manual stream configuration
#          on EVERY device in the network, without exception.
#          ANY NETWORK WHICH IS NOT EITHER
#           - USING DYNAMIC SRP ON **EVERY** NETWORK DEVICE, OR
#           - HAS COMPLETE MANUAL STREAM CONFIGURATION ON **EVERY** NETWORK DEVICE
#          IS NOT AN ETHERNET AVB NETWORK AND WILL NOT FUNCTION PROPERLY.

# VLAN id and priority overrides for preconfigured networks
# These values are only used if dynamic SRP operations are disabled using above
# setting.
# VLAN vid values can be set to 0 - 4095
# VLAN pcp values can be set to 0 - 7
# These values must match across every device in the network
#domain_class_a_vid = 2
#domain_class_a_pcp = 3
#domain_class_b_vid = 2
#domain_class_b_pcp = 2

# IEEE 802.1ba section 6.4 requires that SRP grant stream reservations on a link
# only if that link is "asCapable" with gPTP (IEEE 802.1AS) operating.  To bypass
# that requirement, set:
# gptp_asCapable_not_required = 1
# WARNING: This non-standards complaint option is intended ONLY to allow for the
#          use of PTPv2 on older AVB netowrks where gPTP may not be supported.
#          ANY NETWORK WHICH IS NOT USING PTP TO KEEP ALL DEVICE CLOCKS IN SYNC
#          IS NOT AN ETHERNET AVB NETWORK AND WILL NOT FUNCTION PROPERLY.

